> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a Card Payment



## OpenAPI

````yaml post /api/v1/card-payment
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/card-payment:
    post:
      tags:
        - Custom Checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CardPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CardPaymentRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    CardPaymentRequest:
      type: object
      properties:
        cardNumber:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
        cardPin:
          type: string
          nullable: true
        transactionReference:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````